package com.ruoyi.project.shiftmgr.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 年度考核信息对象 t_shift_annual_assessment
 *
 * @author ruoyi
 * @date 2022-08-05
 */
public class TShiftAnnualAssessment extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 员工ID，关联T_STAFFMGR表主键ID */
    @Excel(name = "员工ID，关联T_STAFFMGR表主键ID")
    private String staffId;

    /** 班组 */
    @Excel(name = "班组")
    private String team;

    /** 班长ID，关联T_STAFFMGR表主键ID */
    @Excel(name = "班长ID，关联T_STAFFMGR表主键ID")
    private String leaderId;

    /** 考核年度 */
    @Excel(name = "考核年度")
    private String assYear;

    /** 班长打分，根据年度考核打分记录汇总 */
    @Excel(name = "班长打分，根据年度考核打分记录汇总")
    private Long leaderScore;

    /** 工长打分，根据年度考核打分记录汇总 */
    @Excel(name = "工长打分，根据年度考核打分记录汇总")
    private Long foremanScore;

    /** 主管打分，根据年度考核打分记录汇总 */
    @Excel(name = "主管打分，根据年度考核打分记录汇总")
    private Long directorScore;

    /** 工程师打分，根据年度考核打分记录汇总 */
    @Excel(name = "工程师打分，根据年度考核打分记录汇总")
    private Long engineerScore;

    /** 经理打分，根据年度考核打分记录汇总 */
    @Excel(name = "经理打分，根据年度考核打分记录汇总")
    private Long managerSocre;

    /** 状态，0：正常；2：删除 */
    private Long delFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private Long createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 修改人 */
    @Excel(name = "修改人")
    private Long updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 部门编号 */
    @Excel(name = "部门编号")
    private Long deptId;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setStaffId(String staffId)
    {
        this.staffId = staffId;
    }

    public String getStaffId()
    {
        return staffId;
    }
    public void setTeam(String team)
    {
        this.team = team;
    }

    public String getTeam()
    {
        return team;
    }
    public void setLeaderId(String leaderId)
    {
        this.leaderId = leaderId;
    }

    public String getLeaderId()
    {
        return leaderId;
    }
    public void setAssYear(String assYear)
    {
        this.assYear = assYear;
    }

    public String getAssYear()
    {
        return assYear;
    }
    public void setLeaderScore(Long leaderScore)
    {
        this.leaderScore = leaderScore;
    }

    public Long getLeaderScore()
    {
        return leaderScore;
    }
    public void setForemanScore(Long foremanScore)
    {
        this.foremanScore = foremanScore;
    }

    public Long getForemanScore()
    {
        return foremanScore;
    }
    public void setDirectorScore(Long directorScore)
    {
        this.directorScore = directorScore;
    }

    public Long getDirectorScore()
    {
        return directorScore;
    }
    public void setEngineerScore(Long engineerScore)
    {
        this.engineerScore = engineerScore;
    }

    public Long getEngineerScore()
    {
        return engineerScore;
    }
    public void setManagerSocre(Long managerSocre)
    {
        this.managerSocre = managerSocre;
    }

    public Long getManagerSocre()
    {
        return managerSocre;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(Long createrCode)
    {
        this.createrCode = createrCode;
    }

    public Long getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(Long updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public Long getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("staffId", getStaffId())
            .append("team", getTeam())
            .append("leaderId", getLeaderId())
            .append("assYear", getAssYear())
            .append("leaderScore", getLeaderScore())
            .append("foremanScore", getForemanScore())
            .append("directorScore", getDirectorScore())
            .append("engineerScore", getEngineerScore())
            .append("managerSocre", getManagerSocre())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .toString();
    }
}
